ALAS2-2019-1344


Amazon Linux 2 Security Advisory: ALAS-2019-1344
Advisory Release Date: 2019-10-31 20:28 Pacific
Advisory Updated Date: 2019-11-01 20:29 Pacific
Severity: Critical
References: CVE-2019-11043 

Issue Overview:

In PHP versions 7.1.x below 7.1.33, 7.2.x below 7.2.24 and 7.3.x below 7.3.11 in certain configurations of FPM setup it is possible to cause FPM module to write past allocated buffers into the space reserved for FCGI protocol data, thus opening the possibility of remote code execution.(CVE-2019-11043)


Affected Packages:

php


Issue Correction:
Run yum update php to update your system.

New Packages:
aarch64:
    php-5.4.16-46.amzn2.0.2.aarch64
    php-cli-5.4.16-46.amzn2.0.2.aarch64
    php-fpm-5.4.16-46.amzn2.0.2.aarch64
    php-common-5.4.16-46.amzn2.0.2.aarch64
    php-devel-5.4.16-46.amzn2.0.2.aarch64
    php-ldap-5.4.16-46.amzn2.0.2.aarch64
    php-pdo-5.4.16-46.amzn2.0.2.aarch64
    php-mysqlnd-5.4.16-46.amzn2.0.2.aarch64
    php-pgsql-5.4.16-46.amzn2.0.2.aarch64
    php-process-5.4.16-46.amzn2.0.2.aarch64
    php-odbc-5.4.16-46.amzn2.0.2.aarch64
    php-soap-5.4.16-46.amzn2.0.2.aarch64
    php-snmp-5.4.16-46.amzn2.0.2.aarch64
    php-xml-5.4.16-46.amzn2.0.2.aarch64
    php-xmlrpc-5.4.16-46.amzn2.0.2.aarch64
    php-mbstring-5.4.16-46.amzn2.0.2.aarch64
    php-gd-5.4.16-46.amzn2.0.2.aarch64
    php-bcmath-5.4.16-46.amzn2.0.2.aarch64
    php-dba-5.4.16-46.amzn2.0.2.aarch64
    php-embedded-5.4.16-46.amzn2.0.2.aarch64
    php-pspell-5.4.16-46.amzn2.0.2.aarch64
    php-recode-5.4.16-46.amzn2.0.2.aarch64
    php-intl-5.4.16-46.amzn2.0.2.aarch64
    php-enchant-5.4.16-46.amzn2.0.2.aarch64
    php-debuginfo-5.4.16-46.amzn2.0.2.aarch64

i686:
    php-5.4.16-46.amzn2.0.2.i686
    php-cli-5.4.16-46.amzn2.0.2.i686
    php-fpm-5.4.16-46.amzn2.0.2.i686
    php-common-5.4.16-46.amzn2.0.2.i686
    php-devel-5.4.16-46.amzn2.0.2.i686
    php-ldap-5.4.16-46.amzn2.0.2.i686
    php-pdo-5.4.16-46.amzn2.0.2.i686
    php-mysqlnd-5.4.16-46.amzn2.0.2.i686
    php-pgsql-5.4.16-46.amzn2.0.2.i686
    php-process-5.4.16-46.amzn2.0.2.i686
    php-odbc-5.4.16-46.amzn2.0.2.i686
    php-soap-5.4.16-46.amzn2.0.2.i686
    php-snmp-5.4.16-46.amzn2.0.2.i686
    php-xml-5.4.16-46.amzn2.0.2.i686
    php-xmlrpc-5.4.16-46.amzn2.0.2.i686
    php-mbstring-5.4.16-46.amzn2.0.2.i686
    php-gd-5.4.16-46.amzn2.0.2.i686
    php-bcmath-5.4.16-46.amzn2.0.2.i686
    php-dba-5.4.16-46.amzn2.0.2.i686
    php-embedded-5.4.16-46.amzn2.0.2.i686
    php-pspell-5.4.16-46.amzn2.0.2.i686
    php-recode-5.4.16-46.amzn2.0.2.i686
    php-intl-5.4.16-46.amzn2.0.2.i686
    php-enchant-5.4.16-46.amzn2.0.2.i686
    php-debuginfo-5.4.16-46.amzn2.0.2.i686

src:
    php-5.4.16-46.amzn2.0.2.src

x86_64:
    php-5.4.16-46.amzn2.0.2.x86_64
    php-cli-5.4.16-46.amzn2.0.2.x86_64
    php-fpm-5.4.16-46.amzn2.0.2.x86_64
    php-common-5.4.16-46.amzn2.0.2.x86_64
    php-devel-5.4.16-46.amzn2.0.2.x86_64
    php-ldap-5.4.16-46.amzn2.0.2.x86_64
    php-pdo-5.4.16-46.amzn2.0.2.x86_64
    php-mysqlnd-5.4.16-46.amzn2.0.2.x86_64
    php-pgsql-5.4.16-46.amzn2.0.2.x86_64
    php-process-5.4.16-46.amzn2.0.2.x86_64
    php-odbc-5.4.16-46.amzn2.0.2.x86_64
    php-soap-5.4.16-46.amzn2.0.2.x86_64
    php-snmp-5.4.16-46.amzn2.0.2.x86_64
    php-xml-5.4.16-46.amzn2.0.2.x86_64
    php-xmlrpc-5.4.16-46.amzn2.0.2.x86_64
    php-mbstring-5.4.16-46.amzn2.0.2.x86_64
    php-gd-5.4.16-46.amzn2.0.2.x86_64
    php-bcmath-5.4.16-46.amzn2.0.2.x86_64
    php-dba-5.4.16-46.amzn2.0.2.x86_64
    php-embedded-5.4.16-46.amzn2.0.2.x86_64
    php-pspell-5.4.16-46.amzn2.0.2.x86_64
    php-recode-5.4.16-46.amzn2.0.2.x86_64
    php-intl-5.4.16-46.amzn2.0.2.x86_64
    php-enchant-5.4.16-46.amzn2.0.2.x86_64
    php-debuginfo-5.4.16-46.amzn2.0.2.x86_64